Forum Discussion
Push Datasets - Datasets PostDataset 'The request could not be processed due to missing or invalid
Has anyone encountered a 400 error when pushing data via a POST API since yesterday? We haven’t made any changes to the codebase for some time so we’re not sure if this is related to any serverside changes.
https://learn.microsoft.com/en-us/rest/api/power-bi/push-datasets/datasets-post-dataset
error msg:
'The request could not be processed due to missing or invalid information'
Hi ejQap,
A 400 error on POST /datasets usually indicates that your JSON definition no longer passes schema validation or that the API has recently become more strict. It may also relate to authentication changes at tenant level. Validate the JSON structure carefully, test the request in the official API console, and confirm that your access token and permissions are still valid.Changes at tenant or Azure AD application level can cause:- expired or invalid tokens
- altered scopes
- loss of the Dataset.ReadWrite.All permission
In these cases, the service may return a 400 rather than a 403 due to the point at which validation fails.To confirm this, test a simple authorised request such as:If this also fails, the problem may relate to authentication rather than the payload.
12 Replies
- ZanquetaSuper User
Hi ejQap,
A 400 error on POST /datasets usually indicates that your JSON definition no longer passes schema validation or that the API has recently become more strict. It may also relate to authentication changes at tenant level. Validate the JSON structure carefully, test the request in the official API console, and confirm that your access token and permissions are still valid.Changes at tenant or Azure AD application level can cause:- expired or invalid tokens
- altered scopes
- loss of the Dataset.ReadWrite.All permission
In these cases, the service may return a 400 rather than a 403 due to the point at which validation fails.To confirm this, test a simple authorised request such as:If this also fails, the problem may relate to authentication rather than the payload.- ejQapAdvocate I
Thanks for your reply. I can confirm that our authentication is working fine, since other endpoints are functioning as usual.
The reason I’m asking is that We've been using the same payload for a couple of years and we haven’t made any recent changes. I can only assume there may have been a change in the API schema validation, but I am not able to find any related information.
Another thing I’d like to point out is that even the “Try It” feature in the documentation (https://learn.microsoft.com/en-us/rest/api/power-bi/push-datasets/datasets-post-dataset-in-group) no longer works when using the sample JSON payload.
I’m starting to lose direction on how to debug this, so I’ll go ahead and create a ticket. Thank you anyway.
- yukisnow1Regular Visitor
I also have the same issue since yesterday and we use the same payload for quite sometime. The status code is 400 and the request body is empty.
- koueslati80New Member
I’ve only had this problem since yesterday, even though nothing has changed.
However, I’ve noticed that I only have the permissions : [
‘Tenant.ReadWrite.All’,
‘Tenant.Read.All’
]Is those permissions no longer sufficient, and do I need to have the role mentioned in the resolution Dataset.ReadWrite.All?
- yukisnow1Regular Visitor
is the error persisting today? I still got the same error today
- AntoGuiNew Member
Hi, it's not solved.
The issue is still occuring.
https://support.fabric.microsoft.com/known-issues/?product=Power%2520BI&active=true&fixed=true&sort=published&issueId=1772- yukisnow1Regular Visitor
Hi it was working for me early this morning, and also working this Monday.
- emastenNew Member
Also started seeing issues on Monday. Was working fine the Friday before.